Tue, 18 Feb 2020 00:18:18 UTC

Information for RPM perl-threads-1:2.22-449.module_f30+7930+9834dd4e.i686.rpm

ID20556426
Nameperl-threads
Version2.22
Release449.module_f30+7930+9834dd4e
Epoch1
Archi686
SummaryPerl interpreter-based threads
DescriptionSince Perl 5.8, thread programming has been available using a model called interpreter threads which provides a new Perl interpreter for each thread, and, by default, results in no data or state information being shared between threads. (Prior to Perl 5.8, 5005threads was available through the Thread.pm API. This threading model has been deprecated, and was removed as of Perl 5.10.0.) As just mentioned, all variables are, by default, thread local. To use shared variables, you need to also load threads::shared.
Build Time2020-02-14 10:11:29 GMT
Size65,050
72e9d2e74c0584f9f1ad498acff07374
LicenseGPL+ or Artistic
Buildrootmodule-perl-bootstrap-5.30-3020200214084245-a5b0195c-build-19398788-1362108
Provides
perl(threads) = 2.22
perl-threads = 1:2.22-449.module_f30+7930+9834dd4e
perl-threads(x86-32) = 1:2.22-449.module_f30+7930+9834dd4e
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.4)
libperl.so.5.30
libpthread.so.0
libpthread.so.0(GLIBC_2.0)
libpthread.so.0(GLIBC_2.1)
perl(:MODULE_COMPAT_5.30.1)
perl(:VERSION) >= 5.8.0
perl(Config)
perl(XSLoader)
perl(overload)
perl(strict)
perl(warnings)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH)
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 6 of 6
Name ascending sort Size
/usr/lib/.build-id0
/usr/lib/.build-id/8d/c1bcb46458fc224d4a4224e3a12ca4ee0deb7249
/usr/lib/perl5/auto/threads0
/usr/lib/perl5/auto/threads/threads.so50,028
/usr/lib/perl5/threads.pm37,942
/usr/share/man/man3/threads.3pm.gz14,255
Component of
1 through 10 of 10
Buildroot descending sort Created State
module-perl-bootstrap-5.30-3020200214084245-a5b0195c-build-19399403-1362142 2020-02-14 10:45:18 expired
module-perl-bootstrap-5.30-3020200214084245-a5b0195c-build-19399398-1362142 2020-02-14 10:44:51 expired
module-perl-bootstrap-5.30-3020200214084245-a5b0195c-build-19399389-1362142 2020-02-14 10:44:31 expired
module-perl-bootstrap-5.30-3020200214084245-a5b0195c-build-19399374-1362142 2020-02-14 10:44:15 expired
module-perl-bootstrap-5.30-3020200214084245-a5b0195c-build-19399371-1362142 2020-02-14 10:44:13 expired
module-perl-bootstrap-5.30-3020200214084245-a5b0195c-build-19399361-1362142 2020-02-14 10:43:59 expired
module-perl-bootstrap-5.30-3020200214084245-a5b0195c-build-19399359-1362142 2020-02-14 10:43:59 expired
module-perl-bootstrap-5.30-3020200214084245-a5b0195c-build-19399357-1362142 2020-02-14 10:43:58 expired
module-perl-bootstrap-5.30-3020200214084245-a5b0195c-build-19399350-1362142 2020-02-14 10:43:43 expired
module-perl-bootstrap-5.30-3020200214084245-a5b0195c-build-19399346-1362142 2020-02-14 10:43:17 expired